Bug 580005 - (CVE-2010-1149) CVE-2010-1149 udisks v1.0.0: Device mapper table information leak
CVE-2010-1149 udisks v1.0.0: Device mapper table information leak
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.debian.org/cgi-bin/bugrep...
impact=moderate,source=debian,reporte...
: Security
Depends On: 580007
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-07 05:29 EDT by Jan Lieskovsky
Modified: 2010-04-12 08:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-12 08:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-04-07 05:29:16 EDT
Bastian Blank reported:
  [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576687

an information leak in the way udisks's disks and storage device
management daemon passed sensitive device mapper table
information to userspace processes via the udev interface.
Local attacker could use this flaw to conduct subsequent
unauthorized operations on storage device(s), which should
be otherwise protected by encryption / luks passphrase
knowledge.

Upstream bug report:
  [2] https://bugs.freedesktop.org/show_bug.cgi?id=27494

Upstream patch:
  [3] http://cgit.freedesktop.org/udisks/commit/?id=0fcc7cb3b66f23fac53ae08647aa0007a2bd56c4

References:
  [4] https://bugzilla.novell.com/show_bug.cgi?id=594261

CVE Request:
  [5] http://www.openwall.com/lists/oss-security/2010/04/06/5
Comment 1 Jan Lieskovsky 2010-04-07 05:31:19 EDT
This issue did NOT affect the versions of the DeviceKit-disks
packages, as shipped with Fedora release of 11 and 12.
Comment 3 Jan Lieskovsky 2010-04-08 04:19:18 EDT
This is CVE-2010-1149.
Comment 4 Fedora Update System 2010-04-09 12:24:41 EDT
udisks-1.0.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/udisks-1.0.1-1.fc13
Comment 5 Fedora Update System 2010-04-09 17:08:01 EDT
udisks-1.0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.